/**
 * Anima: A singular journey
 * CS470 Capstone Project
 * Shawn Aldridge
 */


package anima;

import java.util.ArrayList;

/**
 * Class to create a node in a maze, holds coordinates, some extraneous controls left
 * in for more advanced implementations
 * @author Shawn Aldridge
 */
public class mazeNode {
    
    float x, y;
    Integer name;
    public ArrayList<mazeNode> connections;
    boolean north, south, east, west;

    public mazeNode(int namer, float xin, float yin)
    {
        name = namer;
        x = xin;
        y = yin;
        connections = new ArrayList<mazeNode>();
        north = true;
        south = true;
        east = true;
        west = true;
    }
    
    public void connect(mazeNode a)
    {
        connections.add(a);
    }

    public boolean isConnected(mazeNode n)
    {
        if(connections.contains(n)) return true;
        return false;
    }

}
